set_time_limit
version_compare
PHP Options/Info Functions
PHP Manual

# sys_get_temp_dir

Returns directory path used for temporary files

### Description

string sys_get_temp_dir ( void )

Returns the path of the directory PHP stores temporary files in by default.

### Return Values

Returns the path of the temporary directory.

### Examples

Example #1 sys_get_temp_dir example

`<?php
// Create a temporary file in the temporary
// files directory using sys_get_temp_dir()
$temp_file = tempnam(sys_get_temp_dir(), 'Tux');
echo $temp_file;
?>`

The above example will output something similar to:

    C:\Windows\Temp\TuxA318.tmp

### See Also

- tmpfile
- tempnam